Subject: Re: bug#52925: NonGNU ELPA: GitHub badge incorrectly displayed

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 15 Jan 2022 12:02:24 +0100

Stefan Kangas <[email-masked]> writes:

> There are some privacy and security implications to consider, so the fix
> might not be trivial.  FWIW, I wouldn't spend time on it without a clear
> use case in mind.

I think eww does send over referrer when doing non-image stuff, so it's
a bit inconsistent.  But this should be redone more generally -- for
privacy reasons, eww shouldn't send referrer on cross-site requests, for
instance.  And there should be a way to customise this.

I've been meaning to fix this, but I keep forgetting.  I'll open a new
bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no